Package org.eclipse.ecf.remoteservice.client

# Class RemoteCallParameter

java.lang.Object
org.eclipse.ecf.remoteservice.client.RemoteCallParameter

All Implemented Interfaces:
  `IRemoteCallParameter`

public class RemoteCallParameter extends Object implements IRemoteCallParameter
Implementation of `IRemoteCallParameter`.

Since:
  4.0

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`RemoteCallParameter.Builder`

## Constructor Summary

Constructors
Constructor
Description
`RemoteCallParameter(String name)`
`RemoteCallParameter(String name, Object value)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Get the name of the remote call parameter.
`Object`
`getValue()`
Get the value associated with this remote call parameter.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RemoteCallParameter

public RemoteCallParameter(String name, Object value)

### RemoteCallParameter

public RemoteCallParameter(String name)

## Method Details

### getName

public String getName()
Description copied from interface: `IRemoteCallParameter`
Get the name of the remote call parameter. Should not be `null`.

Specified by:
  `getName` in interface `IRemoteCallParameter`
Returns:
  String name for the parameter. Should not be `null`.

### getValue

public Object getValue()
Description copied from interface: `IRemoteCallParameter`
Get the value associated with this remote call parameter. May be `null`.

Specified by:
  `getValue` in interface `IRemoteCallParameter`
Returns:
  Object value associated with the name given above.

### toString

public String toString()

Overrides:
  `toString` in class `Object`